# Class MockStream

### Hierarchy

- MockStream

### Methods

- _write
- destroy
- reset

## Methods

### _write

- _write(chunk: string, _: any, next: Function): void

- - Defined in src/api/viya/spec/mockResponses.ts:66

  #### Parameters

  - ##### chunk: string

  - ##### _: any

  - ##### next: Function

  #### Returns void

### destroy

- destroy(): void

- - Defined in src/api/viya/spec/mockResponses.ts:72

  #### Returns void

### reset

- reset(): void

- - Defined in src/api/viya/spec/mockResponses.ts:70

  #### Returns void

Generated using TypeDoc